Plesk 12 install fail: No matches for the wildcard '00*exclude.conf' in '/etc/httpd/modsecurity.d'

Created:

2016-11-16 13:11:42 UTC

Modified:

2017-04-24 11:13:53 UTC

1

Was this article helpful?


Have more questions?

Submit a request

Plesk 12 install fail: No matches for the wildcard '00*exclude.conf' in '/etc/httpd/modsecurity.d'

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk 12.0 for Linux

Symptoms

Plesk installation fail on CentOS 7 with atomic repository enabled, with the following error:

 plesk  No matches for the wildcard '00*exclude.conf' in '/etc/httpd/modsecurity.d', failing (use IncludeOptional if required)

Apache error log contain string alike:

httpd: Syntax error on line 359 of /etc/httpd/conf/httpd.conf: Syntax error on line 13 of /etc/httpd/conf.d/00_mod_security.conf: No matches for the wildcard '00*exclude.conf' in '/etc/httpd/modsecurity.d', failing (use IncludeOptional if required)
get_apache_path: '/usr/sbin/apachectl -V' failed

Cause

Incorrect ' 00_mod_security.conf ' which is shipped with atomic ' mod_security-2.8.0-24.el7.art.x86_64 ' apache module.

Resolution

Edit mentioned in the error message config file /etc/httpd/conf.d/00_mod_security.conf Find and comment out all strings with wildcard alike:

Include modsecurity.d/00*exclude.conf

Or change Include to IncludeOptional in /etc/httpd/conf.d/00_mod_security.conf

Have more questions? Submit a request
Please sign in to leave a comment.